VERSION 5.00
Object = "{3B7C8863-D78F-101B-B9B5-04021C009402}#1.2#0"; "RICHTX32.OCX"
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "comdlg32.ocx"
Object = "{245338C0-BCA3-4A2C-A7B7-53345999A8E8}#1.0#0"; "wspell.ocx"
Begin VB.Form frmTemplateEditor 
   Caption         =   "Article Analyzer"
   ClientHeight    =   4860
   ClientLeft      =   165
   ClientTop       =   855
   ClientWidth     =   8775
   Icon            =   "frmTemplateEditor.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   4860
   ScaleWidth      =   8775
   StartUpPosition =   3  'Windows Default
   Begin WSPELLLib.WSpell WSpell1 
      Left            =   8040
      Top             =   720
      _Version        =   65536
      _ExtentX        =   450
      _ExtentY        =   582
      _StockProps     =   16
      ShowDictionariesButton=   0   'False
      ShowOptionsButton=   0   'False
      IgnoreNonAlphaWords=   -1  'True
      PhoneticSuggestions=   -1  'True
   End
   Begin MSComDlg.CommonDialog cdlg 
      Left            =   7920
      Top             =   120
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
      CancelError     =   -1  'True
   End
   Begin RichTextLib.RichTextBox rtbTemplate 
      Height          =   3855
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   7815
      _ExtentX        =   13785
      _ExtentY        =   6800
      _Version        =   393217
      Enabled         =   -1  'True
      ScrollBars      =   3
      AutoVerbMenu    =   -1  'True
      TextRTF         =   $"frmTemplateEditor.frx":030A
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "Fixedsys"
         Size            =   9
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
   End
   Begin VB.Menu mnuFile 
      Caption         =   "&File"
      Begin VB.Menu mnuNew 
         Caption         =   "New File"
         Shortcut        =   ^N
      End
      Begin VB.Menu mnus111 
         Caption         =   "-"
      End
      Begin VB.Menu mnuOpen 
         Caption         =   "Open File"
         Shortcut        =   ^O
      End
      Begin VB.Menu mnurTop 
         Caption         =   "Recent Files"
         Begin VB.Menu mnuRecent 
            Caption         =   "Recent 1"
            Index           =   1
         End
         Begin VB.Menu mnuRecent 
            Caption         =   ""
            Index           =   2
         End
         Begin VB.Menu mnuRecent 
            Caption         =   ""
            Index           =   3
         End
         Begin VB.Menu mnuRecent 
            Caption         =   ""
            Index           =   4
         End
         Begin VB.Menu mnuRecent 
            Caption         =   "Recent 5"
            Index           =   5
         End
      End
      Begin VB.Menu mnus11 
         Caption         =   "-"
      End
      Begin VB.Menu mnuSave 
         Caption         =   "&Save"
         Shortcut        =   ^S
      End
      Begin VB.Menu mnuSaveAs 
         Caption         =   "Save &As..."
      End
      Begin VB.Menu mnus1 
         Caption         =   "-"
      End
      Begin VB.Menu mnuClose 
         Caption         =   "&Close Window"
         Shortcut        =   {F4}
      End
   End
   Begin VB.Menu mnuInsert 
      Caption         =   "&Analyze"
      Begin VB.Menu mnuGeneral 
         Caption         =   "&Keyword Density Report"
         Shortcut        =   ^K
      End
      Begin VB.Menu mnuSpelling 
         Caption         =   "&Spelling"
         Shortcut        =   {F1}
      End
   End
End
Attribute VB_Name = "frmTemplateEditor"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Public FileName As String
Public bDirty As Boolean

Private Sub Form_Load()

    WSpell1.MainDictionaryFiles = FPath & "ssceam.tlx," & FPath & "ssceam2.clx"
    WSpell1.UserDictionaryFiles = FPath & "userdic.tlx," & FPath & "correct.tlx"

    RefreshRecent

    Me.FileName = "Untitled"

End Sub

Public Sub RefreshRecent()

    Dim x As Long
    
    For x = 1 To 5
        If AppOptions.RecentProjects(x) <> "" And Dir(AppOptions.RecentProjects(x)) <> "" Then
            mnuRecent(x).Caption = GetFileName(AppOptions.RecentProjects(x))
            mnuRecent(x).Enabled = True
        Else
            mnuRecent(x).Caption = "(none)"
            mnuRecent(x).Enabled = False
        End If
    Next x

End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)

    If CheckSave = False Then Cancel = 1

End Sub

Private Sub Form_Resize()

    rtbTemplate.Width = Me.Width - 120
    rtbTemplate.Height = Me.Height - TitleBarHeight(Me)

End Sub

Private Sub mnuClose_Click()

    Unload Me

End Sub

Private Sub mnuGeneral_Click()

    If Trim(rtbTemplate.Text) = "" Then
        MsgBox "Please create or open an article first!", vbOKOnly + vbExclamation, "No Data"
        rtbTemplate.SetFocus
        Exit Sub
    End If

    frmReport.Show 1

End Sub

Private Function CheckSave() As Boolean

    Dim x As VbMsgBoxResult

    If bDirty = True Then
        x = MsgBox("Would you like to save changes first?", vbYesNoCancel + vbQuestion, "Save Changes?")

        If x = vbCancel Then
            CheckSave = False
            Exit Function
        End If
        
        If x = vbNo Then
            CheckSave = True
            Exit Function
        End If
        
        If x = vbYes Then
            mnuSave_Click
            If bDirty = True Then
                CheckSave = False
            Else
                CheckSave = False
            End If
        End If
        
        Exit Function
    End If
    
    CheckSave = True
        
End Function

Private Sub mnuNew_Click()

    If CheckSave = False Then Exit Sub

    rtbTemplate.Text = ""
    Me.FileName = "Untitled"
    bDirty = False
    
    rtbTemplate.SetFocus
    
End Sub

Private Sub mnuOpen_Click()

    If CheckSave = False Then Exit Sub

    On Error GoTo Ehand

    cdlg.Filter = "HTML Files|*.html;*.htm"
    cdlg.Filter = "Text Files|*.txt"
    cdlg.Filter = "All Files|*.*"
    
    'No read only check, file must exist
    cdlg.Flags = &H4 Or &H1000
    
    cdlg.ShowOpen
    
    Dim z As String
    Dim x As Long
    
    z = LoadFile(cdlg.FileName)
        
    rtbTemplate.Text = z
    
    bDirty = False
    Me.Caption = "Article Analyzer - " & GetFileName(Me.FileName)
    
    AddRecent cdlg.FileName
    
Ehand:
    'if they cancel


End Sub

Private Sub mnuRecent_Click(Index As Integer)

    If CheckSave = False Then Exit Sub
    
    Dim z As String
    
    If Dir(AppOptions.RecentProjects(Index)) = "" Then
        MsgBox "File doesn't exist anymore!", vbOKOnly + vbCritical, "Invalid File!"
        Exit Sub
    End If
    
    Me.FileName = AppOptions.RecentProjects(Index)
    
    z = LoadFile(AppOptions.RecentProjects(Index))
        
    rtbTemplate.Text = z
    
    bDirty = False
    Me.Caption = "Article Analyzer - " & GetFileName(Me.FileName)
    
    AddRecent AppOptions.RecentProjects(Index)

End Sub

Private Sub mnuSave_Click()

    If Me.FileName = "" Then
        mnuSaveAs_Click
        Exit Sub
    End If

    Me.rtbTemplate.SaveFile Me.FileName, 1

    bDirty = False
    Me.Caption = "Article Analyzer - " & GetFileName(Me.FileName)

    'frmMain.PopulateTemplates

End Sub

Private Sub mnuSaveAs_Click()

    On Error GoTo Ehand:

    cdlg.DialogTitle = "Save Article As..."
    
    cdlg.Filter = "HTML Files|*.html;*.htm|Text Files|*.txt|All Files|*.*"
    cdlg.FilterIndex = 0
    
    cdlg.Flags = &H2 'Prompt to overwrite
    
    cdlg.ShowSave
    
    Me.FileName = cdlg.FileName
    
    AddRecent Me.FileName
    
    mnuSave_Click
    
    Exit Sub
    
    
Ehand:

End Sub

Private Sub mnuSpelling_Click()

    WSpell1.TextControlHWnd = rtbTemplate.hwnd
    WSpell1.Start

End Sub

Private Sub rtbTemplate_Change()

    bDirty = True
    Me.Caption = "Article Analyzer - " & GetFileName(Me.FileName) & "*"

End Sub
