Attribute VB_Name = "modMain"
Option Explicit


Public Type MyAppOptions
    RecentProjects(1 To 6) As String
End Type

Public AppOptions As MyAppOptions


Public RecentFiles(1 To 5) As String

Sub Main()

    LoadOptions

    frmTemplateEditor.Show

End Sub



Sub LoadOptions()

    Dim x As Long
    
    For x = 1 To 6
        AppOptions.RecentProjects(x) = GetSetting(App.EXEName, "General", "RecentFile " & x, "")
    Next x

End Sub

Sub SaveOptions()

    Dim x As Long

    For x = 1 To 6
        SaveSetting App.EXEName, "General", "RecentFile " & x, AppOptions.RecentProjects(x)
    Next x

End Sub

Sub AddRecent(ByVal ProjectName As String)

    Dim x As Long
    Dim Y As Long
    
    For x = 6 To 2 Step -1
        AppOptions.RecentProjects(x) = AppOptions.RecentProjects(x - 1)
    Next x
    
    AppOptions.RecentProjects(1) = ProjectName
    
    For x = 2 To 6
        If LCase(AppOptions.RecentProjects(x)) = LCase(ProjectName) Then
            For Y = x To 5
                AppOptions.RecentProjects(Y) = AppOptions.RecentProjects(Y + 1)
            Next Y
        End If
    Next x
    
    SaveOptions
    
    frmTemplateEditor.RefreshRecent
    
End Sub
