VERSION 5.00
Begin VB.Form frmReport 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Keyword Density Report"
   ClientHeight    =   3030
   ClientLeft      =   45
   ClientTop       =   435
   ClientWidth     =   5430
   Icon            =   "frmReport.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3030
   ScaleWidth      =   5430
   StartUpPosition =   1  'CenterOwner
   Begin VB.CommandButton cmdHighlight 
      Cancel          =   -1  'True
      Caption         =   "&Highlight Phrase && Close"
      Height          =   375
      Left            =   1560
      TabIndex        =   2
      Top             =   2520
      Width           =   2175
   End
   Begin VB.CommandButton cmdClose 
      Caption         =   "&Close"
      Height          =   375
      Left            =   3840
      TabIndex        =   3
      Top             =   2520
      Width           =   1335
   End
   Begin VB.Frame Frame1 
      Height          =   2295
      Left            =   120
      TabIndex        =   4
      Top             =   120
      Width           =   5175
      Begin VB.CommandButton cmdAnalyze 
         Caption         =   "&Analyze"
         Default         =   -1  'True
         Height          =   375
         Left            =   3840
         TabIndex        =   1
         Top             =   480
         Width           =   1095
      End
      Begin VB.TextBox txtAnalyze 
         Height          =   285
         Left            =   240
         TabIndex        =   0
         Top             =   600
         Width           =   3495
      End
      Begin VB.Label lblDensity 
         Alignment       =   2  'Center
         Caption         =   "-"
         Height          =   255
         Left            =   3360
         TabIndex        =   12
         Top             =   1800
         Width           =   1575
      End
      Begin VB.Label lblWordCount 
         Alignment       =   2  'Center
         Caption         =   "-"
         Height          =   255
         Left            =   1800
         TabIndex        =   11
         Top             =   1800
         Width           =   1575
      End
      Begin VB.Label lblOccurences 
         Alignment       =   2  'Center
         Caption         =   "-"
         Height          =   255
         Left            =   240
         TabIndex        =   10
         Top             =   1800
         Width           =   1575
      End
      Begin VB.Label Label4 
         Alignment       =   2  'Center
         Caption         =   "Density"
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   700
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   255
         Left            =   3360
         TabIndex        =   9
         Top             =   1560
         Width           =   1575
      End
      Begin VB.Label Label3 
         Alignment       =   2  'Center
         Caption         =   "Word Count"
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   700
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   255
         Left            =   1800
         TabIndex        =   8
         Top             =   1560
         Width           =   1575
      End
      Begin VB.Label Label2 
         Alignment       =   2  'Center
         Caption         =   "Occurences"
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   700
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   255
         Left            =   240
         TabIndex        =   7
         Top             =   1560
         Width           =   1575
      End
      Begin VB.Label lblAnalysis 
         Alignment       =   2  'Center
         Caption         =   "No Analysis Performed Yet..."
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   700
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   255
         Left            =   240
         TabIndex        =   6
         Top             =   1200
         Width           =   4695
      End
      Begin VB.Line Line1 
         X1              =   240
         X2              =   4920
         Y1              =   1080
         Y2              =   1080
      End
      Begin VB.Label Label1 
         Caption         =   "Enter Phrase to Analyze:"
         Height          =   255
         Left            =   240
         TabIndex        =   5
         Top             =   360
         Width           =   3495
      End
   End
End
Attribute VB_Name = "frmReport"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdAnalyze_Click()

    If Trim(txtAnalyze.Text) = "" Then
        MsgBox "Please enter a phrase to analyze!", vbOKOnly + vbCritical, "Phrase Required!"
        txtAnalyze.SetFocus
        Exit Sub
    End If

    lblAnalysis.Caption = "Keyword Density: " & txtAnalyze.Text

    Dim x As Long
    Dim s() As String
    Dim z As String
    
    Dim Occurences As Long
    Dim WordCount As Long
    
    z = frmTemplateEditor.rtbTemplate.Text
    
    z = Replace(z, vbCrLf, " ")
    z = Replace(z, "  ", " ")
    z = Replace(z, "  ", " ")
    z = Replace(z, "  ", " ")
    z = Replace(z, "  ", " ")
    z = Replace(z, "  ", " ")
    z = Replace(z, "  ", " ")
        
    s = Split(z, " ")
            
    WordCount = UBound(s) + 1
        
    x = 1
    
    x = InStr(x, z, txtAnalyze.Text, vbTextCompare)
        
    Do Until x < 1
        
        Occurences = Occurences + 1
        
        x = InStr(x + 1, z, txtAnalyze.Text, vbTextCompare)
        
    Loop
    
    lblOccurences.Caption = Occurences
    lblWordCount.Caption = WordCount
    
    lblDensity.Caption = Format((Occurences / WordCount) * 100, "0.0") & "%"
    
    txtAnalyze.SelStart = 0
    txtAnalyze.SelLength = Len(txtAnalyze.Text)
    
    txtAnalyze.SetFocus
    
    Beep
    
End Sub

Private Sub cmdClose_Click()

    Unload Me

End Sub

Private Sub cmdHighlight_Click()

    Dim x As Long
    
    frmTemplateEditor.rtbTemplate.SelStart = 0
    frmTemplateEditor.rtbTemplate.SelLength = Len(frmTemplateEditor.rtbTemplate.Text)
    
    frmTemplateEditor.rtbTemplate.SelColor = vbBlack
    
    frmTemplateEditor.rtbTemplate.SelLength = 0
        
    x = 1
    If frmTemplateEditor.rtbTemplate.Find(txtAnalyze.Text, 0) = -1 Then
        Unload Me
        Exit Sub
    End If
    
    Do Until frmTemplateEditor.rtbTemplate.SelLength = 0
        frmTemplateEditor.rtbTemplate.SelColor = vbRed
        If frmTemplateEditor.rtbTemplate.Find(txtAnalyze.Text, frmTemplateEditor.rtbTemplate.SelStart + 1) = -1 Then Exit Do
    Loop

    frmTemplateEditor.rtbTemplate.SelStart = 1

    Unload Me

End Sub
